Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Inout_Object_SArgument_T< S_ptr, S_var > Class Template Reference

Template class for INOUT skeleton object argument. More...

`#include <Object_SArgument_T.h>`

Inheritance diagram for TAO::Inout_Object_SArgument_T< S_ptr, S_var >:

[legend]
Collaboration diagram for TAO::Inout_Object_SArgument_T< S_ptr, S_var >:

[legend]
List of all members.

## Public Methods
| Inout_Object_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual CORBA::Boolean | demarshal (TAO_InputCDR &)
virtual void | interceptor_param (Dynamic::Parameter &)
S_ptr & | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S_ptr, typename S_var>
class TAO::Inout_Object_SArgument_T< S_ptr, S_var >

Template class for INOUT skeleton object argument.

## Constructor & Destructor Documentation

template<typename S_ptr, typename S_var>
ACE_INLINE TAO::Inout_Object_SArgument_T< S_ptr, S_var >::Inout_Object_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S_ptr, typename S_var>
ACE_INLINE S_ptr & TAO::Inout_Object_SArgument_T< S_ptr, S_var >::arg | ( | void |  | ) |

template<typename S_ptr, typename S_var>
CORBA::Boolean TAO::Inout_Object_SArgument_T< S_ptr, S_var >::demarshal | ( | TAO_InputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr, typename S_var>
void TAO::Inout_Object_SArgument_T< S_ptr, S_var >::interceptor_param | ( | Dynamic::Parameter & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S_ptr, typename S_var>
CORBA::Boolean TAO::Inout_Object_SArgument_T< S_ptr, S_var >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S_ptr, typename S_var>
S_var TAO::Inout_Object_SArgument_T< S_ptr, S_var >::x_`[private]`

The documentation for this class was generated from the following files:

- Object_SArgument_T.h
- Object_SArgument_T.cpp
- Object_SArgument_T.inl